
Installer - Bug #2689

Importing installer modules after an installer run causes a permissions conflict

06/21/2013 07:38 AM - Greg Sutcliffe

Status: Resolved   

Priority: Normal   

Assignee:    

Category:    

Target version: 1.2.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Some cache data gets root owned:

1. ls lh /var/lib/puppet/foreman_cache_data/db_password

-rw------ 1 root root 36 Jun 21 12:24 /var/lib/puppet/foreman_cache_data/db_password

A simple chown will fix it:

1. chown puppet /var/lib/puppet/foreman_cache_data/db_password

We should probably handle this where db_password is created (maybe in the function?), otherwise it will trip people up.

Associated revisions

Revision 8a6e87dc - 06/24/2013 09:47 AM - Greg Sutcliffe

Fixes #2689 - chown cache data to puppet

History

#1 - 06/24/2013 12:47 PM - Greg Sutcliffe

- Status changed from New to Resolved

- % Done changed from 0 to 100

Applied in 8a6e87dc7a1615dd9d110f60ad13ecf30791dbec

#2 - 07/10/2018 02:45 PM - Greg Sutcliffe

- Target version deleted (1.2.0)
